Package org.bgerp.action

# Class ProcessLinkProcessAction

java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.BaseAction
org.apache.struts.actions.DispatchAction
org.bgerp.action.base.BaseAction
org.bgerp.action.ProcessAction
ru.bgcrm.struts.action.ProcessLinkAction
org.bgerp.action.ProcessLinkProcessAction

public class ProcessLinkProcessAction extends ProcessLinkAction

- ## Field Summary

  ### Fields inherited from class org.bgerp.action.base.BaseAction

  `l, MAPPER, PATH_JSP_ADMIN, PATH_JSP_OPEN, PATH_JSP_USER, PATH_JSP_USERMOB, setup`

  ### Fields inherited from class org.apache.struts.actions.DispatchAction

  `clazz, methods, types`

  ### Fields inherited from class org.apache.struts.actions.BaseAction

  `messages`

  ### Fields inherited from class org.apache.struts.action.Action

  `servlet`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ProcessLinkProcessAction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.struts.action.ActionForward`
  `addCreated(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `addExisting(DynActionForm form, ConnectionSet conSet)`
  `static Process`
  `linkProcessCreate(Connection con, DynActionForm form, Process linkedProcess, int typeId, String linkObjectType, int createTypeId, String description, int groupId)`
  `org.apache.struts.action.ActionForward`
  `linkProcessCreate(DynActionForm form, Connection con)`
  `org.apache.struts.action.ActionForward`
  `linkProcessDelete(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `linkProcessExisting(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `showCategory(DynActionForm form, ConnectionSet conSet)`
  `org.apache.struts.action.ActionForward`
  `unspecified(DynActionForm form, ConnectionSet conSet)`
  Default action method if no parameter 'action' passed.

  ### Methods inherited from class ru.bgcrm.struts.action.ProcessLinkAction

  `linkedProcessCreate, linkedProcessList`

  ### Methods inherited from class org.bgerp.action.ProcessAction

  `doCreateWizard, getProcess, getProcessType, messagePossibleProcessList, process, processClone, processCreate, processCreate, processCreate, processCreateAndGet, processCreateGroups, processCreateTypes, processDelete, processDelete, processDeleteTmp, processDescriptionAdd, processDescriptionUpdate, processExecutorsEdit, processExecutorsSwap, processExecutorsUpdate, processExecutorsUpdate, processFinishCreateTmp, processGroupsEdit, processGroupsUpdate, processGroupsUpdate, processMerge, processMergeEdit, processPriorityEdit, processPriorityUpdate, processPriorityUpdate, processStatusEdit, processStatusHistory, processStatusUpdate, processStatusUpdate, processTypeEdit, processTypes, processTypeUpdate, unionLog, userProcessList`

  ### Methods inherited from class org.bgerp.action.base.BaseAction

  `checkModified, dispatchMethod, getParameter, html, html, json, json, permissionCheck, restoreRequestParams, unspecified, updatePersonalization`

  ### Methods inherited from class org.apache.struts.actions.DispatchAction

  `cancelled, execute, getMethod, getMethodName, unspecified`

  ### Methods inherited from class org.apache.struts.action.Action

  `addErrors, addMessages, execute, generateToken, getErrors, getLocale, getMessages, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, resetToken, saveErrors, saveErrors, saveMessages, saveMessages, saveToken, setLocale, setServlet`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ProcessLinkProcessAction

    public ProcessLinkProcessAction()

- ## Method Details

  - ### unspecified

    public org.apache.struts.action.ActionForward unspecified(DynActionForm form, ConnectionSet conSet) throws Exception
    Description copied from class: `BaseAction`
    Default action method if no parameter 'action' passed. Overwrite and implement.
    Overrides:
      `unspecified` in class `ProcessAction`
    Parameters:
      `form` -
      `conSet` -
    Returns:
    Throws:
      `Exception`

  - ### showCategory

    public org.apache.struts.action.ActionForward showCategory(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### addCreated

    public org.apache.struts.action.ActionForward addCreated(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### linkProcessCreate

    public org.apache.struts.action.ActionForward linkProcessCreate(DynActionForm form, Connection con) throws Exception
    Throws:
      `Exception`

  - ### linkProcessCreate

    public static Process linkProcessCreate(Connection con, DynActionForm form, Process linkedProcess, int typeId, String linkObjectType, int createTypeId, String description, int groupId) throws Exception
    Throws:
      `Exception`

  - ### addExisting

    public org.apache.struts.action.ActionForward addExisting(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### linkProcessExisting

    public org.apache.struts.action.ActionForward linkProcessExisting(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`

  - ### linkProcessDelete

    public org.apache.struts.action.ActionForward linkProcessDelete(DynActionForm form, ConnectionSet conSet) throws Exception
    Throws:
      `Exception`